Get Campaign Progress
curl --request GET \
--url https://agents.labs.bandwidth.com/api/v1/campaign/{campaign_id}/progress \
--header 'Authorization: Bearer <token>'import requests
url = "https://agents.labs.bandwidth.com/api/v1/campaign/{campaign_id}/progress"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agents.labs.bandwidth.com/api/v1/campaign/{campaign_id}/progress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"campaign_id": 123,
"completed_at": "2023-11-07T05:31:56Z",
"failed_calls": 123,
"processed_rows": 123,
"progress_percentage": 123,
"rate_limit": 123,
"source_sync": {},
"started_at": "2023-11-07T05:31:56Z",
"state": "<string>",
"total_rows": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Campaigns
Get Campaign Progress
Get the current progress of a campaign
GET
/
api
/
v1
/
campaign
/
{campaign_id}
/
progress
Get Campaign Progress
curl --request GET \
--url https://agents.labs.bandwidth.com/api/v1/campaign/{campaign_id}/progress \
--header 'Authorization: Bearer <token>'import requests
url = "https://agents.labs.bandwidth.com/api/v1/campaign/{campaign_id}/progress"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agents.labs.bandwidth.com/api/v1/campaign/{campaign_id}/progress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"campaign_id": 123,
"completed_at": "2023-11-07T05:31:56Z",
"failed_calls": 123,
"processed_rows": 123,
"progress_percentage": 123,
"rate_limit": 123,
"source_sync": {},
"started_at": "2023-11-07T05:31:56Z",
"state": "<string>",
"total_rows": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Requires a Labs OAuth user access token with the
super_user role. API keys are not accepted for this endpoint. See authentication.
Returns a real-time snapshot of how many contacts have been processed.
| Field | Description |
|---|---|
total | Total number of contacts in the campaign |
processed | Contacts that have been attempted at least once |
completed | Contacts with a successful call outcome |
failed | Contacts that exhausted all retry attempts without success |
pending | Contacts not yet attempted |
completion_percentage | processed / total × 100 |
Authorizations
Response
Successful Response